/*
 *
 * Perforce/JBuilder Opentool
 * Copyright (C) 2001 David Freels
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.dafreels.opentools.actions;

import com.borland.primetime.actions.ActionGroup;
import com.dafreels.vcs.util.ActionImages;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      DF Systems
 * @author David Freels
 * @version 1.0
 */

public class PerforceMenu extends ActionGroup
{
  public PerforceMenu(boolean onFileTabMenu)
  {
    super("Perforce", 'P', true);

    //this.setSmallIcon(new ImageIcon(this.getClass().getResource("/com/dafreels/opentools/images/P4Web1.gif")));
    this.setSmallIcon(ActionImages.P4WIN);
    ActionGroup syncGroup = new ActionGroup("Sync", 'S');
    syncGroup.setSmallIcon(ActionImages.P4_SYNC);
    syncGroup.setPopup(true);
    //this.add(new StatusAction());
    //this.add(new ProjectStatusAction());
    syncGroup.add(new SyncAction(onFileTabMenu));
    syncGroup.add(new PreviewAction(onFileTabMenu));
    if ( onFileTabMenu )
    {
      syncGroup.add(new RedoSyncAction(onFileTabMenu));
    }
    this.add(syncGroup);
    this.add(new EditAction(onFileTabMenu));
    this.add(new AddAction(onFileTabMenu));
    this.add(new DeleteAction(onFileTabMenu));
    this.add(new RevertAction(onFileTabMenu));
    this.add(new LockAction(onFileTabMenu));
    this.add(new UnlockAction(onFileTabMenu));
    this.add(new SubmitAction());
    this.add(new FileHistoryAction(onFileTabMenu));
    this.add(new DiffAction(onFileTabMenu));
    this.add(new StatusAction(onFileTabMenu));
    this.add(new ChangeAction());
    this.add(new SubmittedAction());
    //this.add(new NotInDepotAction());
    this.add(new IntegrateAction(onFileTabMenu));
    this.add(new JobsAction(onFileTabMenu));
  }
}
